ServerEvents.recipes(event => {
    event.remove({id: 'bloodmagic:altar/slate'})
    event.remove({id: 'bloodmagic:blood_altar'})
    event.remove({id: 'bloodmagic:blood_rune_blank'})
    event.remove({id: 'bloodmagic:soul_forge'})
    event.remove({id: 'bloodmagic:alchemy_table'})
})

ServerEvents.recipes(event => {
    //Blood Altar
    event.shaped('bloodmagic:altar',
        ['1 1','121','333'], {
        3: 'evilcraft:dark_blood_brick',
        2: 'evilcraft:garmonbozia',
        1: '#forge:ingots/ostrum'
    }).id('bloodmagic:altar')
    
    //Blank Rune
    event.shaped('bloodmagic:blankrune',
      ['121','131','111'], {
      1: 'immersiveengineering:concrete',
      2: 'bloodmagic:blankslate',
      3: '#bloodmagic:orbs'
  }).id('bloodmagic:blood_rune_blank')
    
  //Hellfire Forge
  event.shaped('bloodmagic:soulforge',
    ['1 1','232','242'], {
    1: '#forge:ingots/fiery',
    2: 'bloodmagic:blankrune',
    3: 'bloodmagic:blankslate',
    4: '#forge:storage_blocks/fiery'
  }).id('bloodmagic:soul_forge')
    
  //Alchemy Table
  event.shaped('bloodmagic:alchemytable',
    ['111','232','454'], {
    1: 'bloodmagic:blankrune',
    2: '#minecraft:planks',
    3: 'deep_aether:stratus_block',
    4: '#forge:ingots/fiery',
    5: 'bloodmagic:infusedslate'
  }).id('bloodmagic:alchemy_table')

    //Blank Slate
    event.custom ({
        "type": "bloodmagic:altar",
        "input": {
          "tag": "forge:gems/source"
        },
        "output": {
          "item": "bloodmagic:blankslate"
        },
        "upgradeLevel": 0,
        "altarSyphon": 1000,
        "consumptionRate": 5,
        "drainRate": 5
    }).id('bloodmagic:altar/slate')
})